Bug Hunting Session
Bug 62163 - Fileopen 2007 DOCX: OLE objects formulas incorrectly displayed in Writer (from WMF?)
Summary: Fileopen 2007 DOCX: OLE objects formulas incorrectly displayed in Writer (fro...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: Other All
: low normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Formula
  Show dependency treegraph
 
Reported: 2013-03-11 12:34 UTC by dmitriy566
Modified: 2019-08-04 05:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Incorrect formulas (47.99 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-03-11 12:34 UTC, dmitriy566
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dmitriy566 2013-03-11 12:34:48 UTC
Created attachment 76333 [details]
Incorrect formulas

I found a bug not fixed in LO 4.0.1.
Formulas are displayed with errors(some have wrong position, some have an artefacts) and text doesn't seem to be similar as in MSO.
Comment 1 Björn Michaelsen 2014-01-17 00:43:27 UTC Comment hidden (obsolete)
Comment 2 Joel Madero 2015-05-02 15:42:48 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-06-20 19:04:35 UTC
The only, very minor problems observed when compared with Word viewer:
The formula after радиус-векторов has the surrounding r1 and r2 higher than the middle character.
The formula after радиус- векторы is aligned too high.
Word viewer shows the last lines before the line graph as having a much larger line height than LibO.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 4 QA Administrators 2016-09-20 10:09:48 UTC Comment hidden (obsolete)
Comment 5 Timur 2018-08-03 17:35:30 UTC
Formulas in Attachment 76333 [details] are binary OLE objects that can not be edited in Word.
Reporter was supposed to say how document was created, what is formulas source.
I guess for LO they are not "formulas" but WMF images. 
If we open those images in image viewer, they are also not correct.
So I guess we have 2 issues here:
- LO doesn't read binary embeddings
- cached images are not proper
Comment 6 QA Administrators 2019-08-04 05:49:05 UTC
Dear dmitriy566,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug